<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>mHealth client simple</title>
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="/assets/lib/bootstrap/css/bootstrap.min.css">
    <!-- FontAwesome -->
    <link rel="stylesheet" href="/assets/lib/fontawesome/css/all.css">

    <!-- Personal CSS -->
    <link rel="stylesheet" href="/assets/css/style.css">
</head>

<body>
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <a class="navbar-brand" href="/">
            <i class="fa fa-mobile-alt"></i>mHealt</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
            aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item active">
                    <a class="nav-link" page-select="home" href="#">Home</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" page-select="contacts" href="#">Contatti</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" page-select="new-contact" href="#">Nuovo contatto</a>
                </li>
            </ul>
        </div>
    </nav>
    <div class="page-container">
        <div class="container">
            <div page="home">
                <div class="jumbotron">
                    <h1>Benvenuti al corso di mHealth
                        <i class="fa fa-exclamation"></i>
                    </h1>
                    <h4>Tecnologie usate:</h4>
                    <ul>
                        <li>
                            <a href="https://it.wikipedia.org/wiki/HTML5" target="_blank">HTML5</a>
                        </li>
                        <li>
                            <a href="https://it.wikipedia.org/wiki/CSS" target="_blank">CSS</a>
                        </li>
                        <li>
                            <a href="https://it.wikipedia.org/wiki/JavaScript" target="_blank">Javascript</a>
                        </li>
                    </ul>
                    <h4>Librerie/Framework usati:</h4>
                    <ul>
                        <li>
                            <a href="https://getbootstrap.com/docs/4.0/getting-started/introduction/" target="_blank">Bootstrap</a>
                        </li>
                        <li>
                            <a href="https://jquery.com/" target="_blank">jQuery</a>
                        </li>
                        <li>
                            <a href="https://fontawesome.com/how-to-use/on-the-web/setup/getting-started?using=web-fonts-with-css" target="_blank">FontAwesome</a>
                        </li>
                    </ul>
                </div>
            </div>
            <div page="contacts">
                <div class="jumbotron">
                    <h2>Contatti</h2>
                    <div>
                        <button class="btn btn-default" onclick="getContacts()">Aggiorna lista contatti</button>
                    </div>
                    <div id="contact-list"></div>
                </div>
            </div>
            <div page="new-contact">
                <div class="jumbotron">
                    <h2>Nuovo contatto</h2>
                    <div class="form-container">
                        <form id="form-new-contact">
                            <div class="form-group">
                                <label for="firstName">Nome*</label>
                                <input type="text" name="firstName" class="form-control" id="firstName" placeholder="Inserisci il nome">
                            </div>
                            <div class="form-group">
                                <label for="lastName">Cognome*</label>
                                <input type="text" name="lastName" class="form-control" id="lastName" placeholder="Inserisci il cognome">
                            </div>
                            <div class="form-group">
                                <label for="email">Email address</label>
                                <input type="email" name="email" class="form-control" id="email" placeholder="Inserisci una valida email">
                            </div>
                            <button type="reset" class="btn btn-default">Reset</button>
                            <button type="submit" class="btn btn-primary">Salva</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- jQuery -->
    <script src="/assets/lib/jquery/jquery-3.3.1.js"></script>
    <!-- Bootstrap JS -->
    <script src="/assets/lib/bootstrap/js/bootstrap.bundle.min.js"></script>

    <!-- Personal JS -->
    <script src="/assets/js/app.js"></script>
    <script src="/assets/js/contacts.js"></script>
</body>

</html>